Bug 13998 - wafsamba needs to use native waf timers to work with python 3.8
wafsamba needs to use native waf timers to work with python 3.8
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Build
4.10.0
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2019-06-17 11:12 UTC by Andreas Schneider
Modified: 2019-06-26 07:26 UTC (History)
2 users (show)

See Also:


Attachments
patch for 4.10 (3.98 KB, patch)
2019-06-19 14:56 UTC, Andreas Schneider
ab: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2019-06-17 11:12:42 UTC
wafsamba needs to use native waf timers to work with python 3.8.

Traceback (most recent call last):
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Scripting.py", line 158, in waf_entry_point
    run_commands()
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Scripting.py", line 251, in run_commands
    ctx = run_command(cmd_name)
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Scripting.py", line 235, in run_command
    ctx.execute()
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Scripting.py", line 573, in execute
    return execute_method(self)
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Build.py", line 231, in execute
    self.execute_build()
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Build.py", line 245, in execute_build
    self.pre_build()
  File "/builddir/build/BUILD/talloc-2.1.16/third_party/waf/waflib/Build.py", line 542, in pre_build
    m(self)
  File "./buildtools/wafsamba/samba_deps.py", line 1106, in check_project_rules
    tstart = time.clock()
AttributeError: module 'time' has no attribute 'clock'
make: *** [Makefile:8: all] Error 2
Comment 1 Andreas Schneider 2019-06-19 14:56:33 UTC
Created attachment 15258 [details]
patch for 4.10
Comment 2 Andreas Schneider 2019-06-19 15:25:35 UTC
Karolin, please add this to 4.10. Thanks.
Comment 3 Karolin Seeger 2019-06-20 10:28:39 UTC
(In reply to Andreas Schneider from comment #2)
Pushed to autobuild-v4-10-test.
Comment 4 Karolin Seeger 2019-06-26 07:26:02 UTC
(In reply to Karolin Seeger from comment #3)
Pushed to v4-10-test.
Closing out bug report.

Thanks!